Problems trying to install wxGTK

Anything that pertains to Portage

Moderator: Moderators

Problems trying to install wxGTK

Postby gsanchez » Mon Oct 01, 2007 6:45

Hi to everyone.

I'm trying to install vlc (my preferred multimedia application). When i try to install wxGTK by hand (using USE="unicode" emerge wxGTK -- if I am doing anything wrong, please forgive me, I'm newbie in Gentoo World...) and then emerge stops right here:

Configured wxWidgets 2.8.4 for `i586-pc-linux-gnu'

Which GUI toolkit should wxWidgets use? GTK+ 2
Should wxWidgets be compiled into single library? no
Should wxWidgets be compiled in debug mode? no
Should wxWidgets be linked as a shared library? yes
Should wxWidgets be compiled in Unicode mode? no
What level of wxWidgets compatibility should be enabled?
wxWidgets 2.4 no
wxWidgets 2.6 yes
Which libraries should wxWidgets use?
jpeg sys
png sys
regex sys
tiff sys
zlib sys
odbc no
expat sys
libmspack no
sdl no
And nothing happens anymore...

What am I doing wrong? What FAQ didn't I read?

Since then I thank for all answers and helps!

Update:
Ten minutes (so-so) after, this messages appeared:
/var/tmp/portage/x11-libs/wxGTK-2.8.4.0/work/wxPython-src-2.8.4.0/src/generic/logg.cpp: In function ‘int OpenLogFile(wxFile&, wxString*, wxWindow*)’:
/var/tmp/portage/x11-libs/wxGTK-2.8.4.0/work/wxPython-src-2.8.4.0/src/generic/logg.cpp:1165: warning: ‘bOk’ may be used uninitialized in this function

And nothing more...
gsanchez
Baby Hen
 
Posts: 7
Joined: Mon Aug 28, 2006 13:06

Re: Problems trying to install wxGTK

Postby wolfden » Mon Oct 01, 2007 7:33

it never finishes?

you will end up with a Error message if it fails to install

let it finish to the end
wolfden
Sharecropper
 
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA


Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest